Description

In my new implementation the fixed order matrices return ConstMatrix.

At the moment ElimMat returns a matrix; should it return a ConstMatrix instead?

What about ElimMat with a specified grading?  And HomogElimMat?

Related issues:

Related to CoCoALib - Bug #820: NewMatMinimize, NewMatCompleteOrd - a godfors... Closed 25 Nov 2015

Related to CoCoALib - Feature #313: Elim(vector<long>) as PPOrderingCtor In Progress 15 Feb 2013

History

#1 - 25 Nov 2015 17:06 - John Abbott

I really feel I have opened Pandora's box :-(

I'll keep plodding on... this is all very frustrating :-(

#2 - 27 Nov 2015 13:07 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

What should the ElimMat function do in these two limit cases?

elim no indets

elim all indets

Note that the question is about the fn which creates an order matrix, and not about the fn which produces an elim ideal.

I propose that the behaviour be one of these two actions:

give error

return MatStdDegRevLex

The point of giving an error is that the user may find it helpful to know that the program wanted to construct an "edge case" order matrix.  I presume

the elim fn itself will handle "elim all" and "elim none" as special cases, so it should not try to construct the corresponding order matrix.

#3 - 27 Nov 2015 13:15 - John Abbott

I note that test-RingWeyl1.C tries to create a an elim mat for no indets.  Why?  Is that really what it should do?
#4 - 01 Dec 2015 14:09 - John Abbott

Anna suggested change the arg order for ElimMat and HomogElimMat so that the list of indets to elim is the first arg.  Sounds sensible to me.

#5 - 01 Dec 2015 14:19 - John Abbott

I suppose strictly the fns should be called ElimOrdMat and HomogElimOrdMat.

Is that a good idea or a not-so-good idea?

#6 - 01 Dec 2015 14:29 - John Abbott

- % Done changed from 10 to 50

The documentation for ElimMat and HomogElimMat is largely missing; and the names given in the doc are different from those in the code.  FIX

THIS!

#7 - 01 Dec 2015 14:31 - John Abbott

Checked in the updated code.

Still need: decide fn names, write proper doc!

#8 - 24 Mar 2016 11:46 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-0.99550 spring 2017

#9 - 24 Mar 2016 18:01 - Anna Maria Bigatti

- Related to Bug #820: NewMatMinimize, NewMatCompleteOrd - a godforsaken mess! added

#10 - 16 Sep 2016 17:27 - Anna Maria Bigatti

- Description updated

#11 - 16 Sep 2016 17:28 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

#12 - 21 Sep 2016 18:37 - Anna Maria Bigatti

just simplified CoCoA-5 porting (no longer passing through CoCoALibSupplement)

I'd like to change HomogElimMat into ElimHomogMat

#13 - 22 Sep 2016 17:37 - Anna Maria Bigatti

general improvement on coherence and readability of ElimMat and ElimHomogMat (was HomogElimMat)

#14 - 29 Sep 2016 17:15 - John Abbott

Should ElimMat([1,2,3]) and ElimMat([3,2,1]) give the same result?  Why or why not?

In other words, does the order in which the indets to eliminate are listed make a difference?

#15 - 29 Sep 2016 19:01 - Anna Maria Bigatti

John Abbott wrote:

Should ElimMat([1,2,3], 4) and ElimMat([3,2,1], 4) give the same result?  Why or why not?

In other words, does the order in which the indets to eliminate are listed make a difference?
I think that the only guarantee that we give is that it is an elimination ordering for the set.

No other guarantee on how this ordering is defined.

And if a user has the knowledge to expect a particular elimination ordering, than he's got the knowledge to make it himself as he needs (and we

don't!)

#16 - 30 Sep 2016 13:30 - John Abbott

- Related to Feature #313: Elim(vector<long>) as PPOrderingCtor added

#17 - 22 Apr 2017 23:09 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

The current code works without any apparent problems, so we can just accept it as it is.  It may not be the best design, but there are plenty of other

more important matters to deal with (and anyway the current code works).

JAA suggests closing: apart from a name change, there has been no change to the code in over a year.

#18 - 28 Apr 2017 09:32 - Anna Maria Bigatti

- Estimated time set to 5.01 h

#19 - 28 Apr 2017 15:16 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
